POST
/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/orders/global/updateInvoices2609170000CGF lite 订单更新运单号接口
# 01
简介
CGF lite 订单更新运单号接口
# 02
详细内容
API支持的买家用户地区:韩国。不可用于台湾店铺。
更改登记错误的运单号。
更改后的运单配送状态为 待配送(DEPARTURE),之后可能会根据物流跟踪信息发生变化。
<注意!>此接口只能更新 CGF LITE 订单的物流运单号。自发货订单物流运单号更新请转到此页面对接。 只有订单在配送状态为 待配送(DEPARTURE)及卖家直接配送(NONE_TRACKING) 时,才可以更改运单信息。 (其余订单状态发生错误).
路径
POST/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/orders/global/updateInvoices
示例端点
https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v4/vendors/C00012345/orders/global/updateInvoicesURL API Name
GLOBAL_UPDATE_ORDER_INVOICE
# 03
Path 参数
| Name | Type | Description |
|---|---|---|
| vendorId* | string | 卖家ID 酷澎分配给卖家的固有代码 e.g. C00012345 |
# 04
请求体参数
请求参数
请求体参数
| Name | Type | Description | ||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| vendorId* | string | 卖家ID 酷澎分配给卖家的固有代码 e.g. C00012345 | ||||||||||||||||||||||||||||||
| orderSheetInvoiceApplyDtos* | object[] | 要变更为待配送状态的信息列表
| ||||||||||||||||||||||||||||||
| shipmentBoxId* orderSheetInvoiceApplyDtos[].shipmentBoxId | integer | 配送号码(合并配送号码)
| ||||||||||||||||||||||||||||||
| orderId* orderSheetInvoiceApplyDtos[].orderId | integer | 订单号
| ||||||||||||||||||||||||||||||
| deliveryCompanyCode* orderSheetInvoiceApplyDtos[].deliveryCompanyCode | string | |||||||||||||||||||||||||||||||
| invoiceNumber* orderSheetInvoiceApplyDtos[].invoiceNumber | string | 物流运单号 卖家直接配送(DIRECT)时可输入任意数字,因其不支持物流跟踪。 | ||||||||||||||||||||||||||||||
| code | string | 服务器返回代码
| ||||||||||||||||||||||||||||||
| message | string | 服务器返回消息
| ||||||||||||||||||||||||||||||
| data | object | |||||||||||||||||||||||||||||||
| responseCode data.responseCode | string | 请求结果状态码
| ||||||||||||||||||||||||||||||
| responseMessage data.responseMessage | string | 请求结果状态消息
| ||||||||||||||||||||||||||||||
| responseList data.responseList | string | 单个上传结果集
| ||||||||||||||||||||||||||||||
| shipmentBoxId data.responseList.shipmentBoxId | string | 合并配送号码
| ||||||||||||||||||||||||||||||
| data data.responseList.data | number | Result code
| ||||||||||||||||||||||||||||||
| comment data.responseList.comment | string | 错误信息
| ||||||||||||||||||||||||||||||
| 400 (check request variable) | string | 查看是否输入了正确的物流公司代码(deliveryCompanyCode).
|
请求示例application/json
{
"vendorId": "C00012345",
"orderSheetInvoiceApplyDtos": [
{
"shipmentBoxId": 4037219645,
"orderId": 11000154200196,
"deliveryCompanyCode": "sf_express",
"invoiceNumber": "SF1152738062699"
},
{
"shipmentBoxId": 4037004312,
"orderId": 11000154200196,
"deliveryCompanyCode": "sf_express",
"invoiceNumber": "SF1152738062699"
}
]
}# 05
响应体
响应消息
| Name | Type | Description | ||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| code | integer | 服务器返回代码
| ||||||||||||||||||||||||||||||
| message | string | 服务器返回消息
| ||||||||||||||||||||||||||||||
| data | object | |||||||||||||||||||||||||||||||
| responseCode data.responseCode | integer | 请求结果状态码
| ||||||||||||||||||||||||||||||
| responseMessage data.responseMessage | string | 请求结果状态消息
| ||||||||||||||||||||||||||||||
| responseList data.responseList | object[] | 单个上传结果集
| ||||||||||||||||||||||||||||||
| shipmentBoxId data.responseList[].shipmentBoxId | integer | 合并配送号码
| ||||||||||||||||||||||||||||||
| data data.responseList[].data | string | Result code
| ||||||||||||||||||||||||||||||
| comment data.responseList[].comment | string | 错误信息
|
Response Example
{
"code": 200,
"message": "OK",
"data": {
"responseCode": 1,
"responseMessage": "SUCCESS",
"responseList": [
{
"shipmentBoxId": 4037219645,
"data": "OK",
"comment": null
},
{
"shipmentBoxId": 4037004312,
"data": "OK",
"comment": null
}
]
}
}# 06
错误码
| HTTP | 代码 | 消息 |
|---|---|---|
| 400 | HTTP_400 | Bad Request |
错误说明
| HTTP | 类型 | 错误消息 | 解决方案 |
|---|---|---|---|
| 400 | 400 (check request variable) | 无效物流公司代码: | 查看是否输入了正确的物流公司代码(deliveryCompanyCode). |